Jack2: Jack::JackConnectionManager Class Reference

Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackConnectionManager Class Reference

Connection manager. More...

`#include <JackConnectionManager.h>`

## Public Member Functions
int | Connect (jack_port_id_t port_src, jack_port_id_t port_dst)
| Connect port_src to port_dst.
int | Disconnect (jack_port_id_t port_src, jack_port_id_t port_dst)
| Disconnect port_src from port_dst.
bool | IsConnected (jack_port_id_t port_src, jack_port_id_t port_dst) const
| Check if port_src and port_dst are connected.
jack_int_t | Connections (jack_port_id_t port_index) const
| Get the connection number of a given port.
jack_port_id_t | GetPort (jack_port_id_t port_index, int connection) const
const jack_int_t * | GetConnections (jack_port_id_t port_index) const
| Get the connection port array.
bool | IncFeedbackConnection (jack_port_id_t port_src, jack_port_id_t port_dst)
bool | DecFeedbackConnection (jack_port_id_t port_src, jack_port_id_t port_dst)
bool | IsFeedbackConnection (jack_port_id_t port_src, jack_port_id_t port_dst) const
bool | IsLoopPath (jack_port_id_t port_src, jack_port_id_t port_dst) const
| Test is a connection path exists between port_src and port_dst.
void | IncDirectConnection (jack_port_id_t port_src, jack_port_id_t port_dst)
| Increment the number of ports between 2 clients, if the 2 clients become connected, then the Activation counter is updated.
void | DecDirectConnection (jack_port_id_t port_src, jack_port_id_t port_dst)
| Decrement the number of ports between 2 clients, if the 2 clients become disconnected, then the Activation counter is updated.
int | AddInputPort (int refnum, jack_port_id_t port_index)
| Add an input port to a client.
int | AddOutputPort (int refnum, jack_port_id_t port_index)
| Add an output port to a client.
int | RemoveInputPort (int refnum, jack_port_id_t port_index)
| Remove an input port from a client.
int | RemoveOutputPort (int refnum, jack_port_id_t port_index)
| Remove an output port from a client.
const jack_int_t * | GetInputPorts (int refnum)
| Get the input port array of a given refnum.
const jack_int_t * | GetOutputPorts (int refnum)
| Get the output port array of a given refnum.
void | InitRefNum (int refnum)
| Init the refnum.
int | GetInputRefNum (jack_port_id_t port_index) const
| Get the client refnum of a given input port.
int | GetOutputRefNum (jack_port_id_t port_index) const
| Get the client refnum of a given ouput port.
bool | IsDirectConnection (int ref1, int ref2) const
| Returns the connections state between 2 refnum.
void | DirectConnect (int ref1, int ref2)
| Directly connect 2 reference numbers.
void | DirectDisconnect (int ref1, int ref2)
| Directly disconnect 2 reference numbers.
int | GetActivation (int refnum) const
void | ResetGraph (JackClientTiming *timing)
| Reset all clients activation.
int | ResumeRefNum (JackClientControl *control, JackSynchro *table, JackClientTiming *timing)
| Signal clients connected to the given client.
int | SuspendRefNum (JackClientControl *control, JackSynchro *table, JackClientTiming *timing, long time_out_usec)
| Wait on the input synchro.
void | TopologicalSort (std::vector< jack_int_t > &sorted)

## Detailed Description

Connection manager.

- The fConnection array contains the list (array line) of connected ports for a given port.
- The fInputPort array contains the list (array line) of input connected ports for a given client.
- The fOutputPort array contains the list (array line) of ouput connected ports for a given client.
- The fConnectionRef array contains the number of ports connected between two clients.
- The fInputCounter array contains the number of input clients connected to a given for activation purpose.

Definition at line 411 of file JackConnectionManager.h.

The documentation for this class was generated from the following files:

- JackConnectionManager.h
- JackConnectionManager.cpp